/*
 * A0B36PRI_091026_05  "PROGRAMOVANI"  08.07.2009 
 *   
 * Prednaska 05 - proceduralni programovani
 *
 * Vypocet urciteho integralu funkce dle vyberu. Metoda pro integraci
 * oddelena od definice funkce.
 * 
 */

package a0b36pri_091026_05;

public class X05d {//=========================================================

    ////////////////////////////////////////////////////////////////////////////
    public static void main(String[] args) {//////////////////////////////
        final int SINUS=1;
        final int COSINUS=2;
        final int NULOVA_FCE=3;
        double integral;

        Io.writeLn("==X05d==");

        integral = integralFce(SINUS,0.,Math.PI/2,100);
        Io.write("IntegralSinus = ");
        Io.write(integral,4);
        Io.writeLn("");

        integral = integralFce(COSINUS,0.,Math.PI/2,1000);
        Io.write("IntegralCosinus = ");
        Io.write(integral,4);
        Io.writeLn("");
 
        integral = integralFce(NULOVA_FCE,0.,Math.PI/2,1000);
        Io.write("NulovaFce = ");
        Io.write(integral,4);
        Io.writeLn("");

        Io.writeLn("==X05d END==");
    }// main() END /////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////////////////////////////////
  
    static double integralFce (int fce,double pocX,double koncX,double pocetKroku){
      double krok = (koncX - pocX)/pocetKroku;
      double integral = 0;              // !!! POZOR na inicializaci pri iteraci
      for(double i=pocX; i < (koncX-krok); i = i + krok){
          integral = integral + ((hodnotaFce(fce,i)+hodnotaFce(fce,i+krok))*krok)/2;
      }
      return(integral);
    }// integralSin() END //////////////////////////////////////////////////////
    
    static double hodnotaFce (int fce, double x){///////////////////////////////
        double hodnotaFce = 0.;
        switch(fce){
            case 1:
                hodnotaFce = Math.sin(x);
                break;
            case 2:
                hodnotaFce = Math.cos(x);
                break;
            default:
                hodnotaFce = 0.;
                break;
        }// switch() END
        return(hodnotaFce);
    }// hodnotaFce() END ///////////////////////////////////////////////////////
    
}// X05d class END ============================================================
