/*
 * A0B36PRI_091116_07  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 07 - Objekty - uvod
 *                Programovano objektove, tridy Kruh, Obdelnik
 */

package a0b36pri_091116_07;

public class X07c {//===========================================================
        
    public static void main(String[] args) {
        Kruh kruh1=new Kruh("Kruh1",1,2,3.2);
        Kruh kruh2=new Kruh("Kruh2",-2,-3,1.5);
        Kruh kx;
        Obdelnik obdelnik1=new Obdelnik("Obdelnik1",4,4,2,5);
        Obdelnik ox;

        System.out.printf("===X07c===\n");
        kruh1.zobrazObrazec();
        kruh2.zobrazObrazec();
        obdelnik1.zobrazObrazec();

        System.out.printf("Obsah kruhu1 = %5.2f \n",kruh1.obsahObrazce());
        System.out.printf("Obsah obdelniku1 = %5.2f \n",obdelnik1.obsahObrazce());
        kx = kruh1;
        kx.zobrazObrazec();
        
        Kruh k3 = new Kruh();

        System.out.printf("Polomer r3 = %5.2f \n",k3.getPolomer());
        k3.setPolomer(2.0);
        System.out.printf("Polomer r3 = %5.2f \n",k3.getPolomer());

        System.out.printf("===X07c END===\n\n");
    }// main() END
    
}// X07c class END ============================================================

class Kruh {//=================================================================
    String jmeno;
    int x=0,y=0;
    double r=1;
    
    public Kruh (String jmeno, int x, int y, double r){
        this.jmeno = jmeno;
        this.x = x;
        this.y = y;
        this.r = r;
    }// Kruh() constructor END
    
    public Kruh (){//pretizeni metod (overloading)
        // zadny kod
    }// Kruh() constructor END
    
    void zobrazObrazec (){
        System.out.printf("%-10s:stred:%2d,%2d, polomer: %4.2f\n",jmeno,x,y,r);    
    }// zobrazObrazec() END
    
    double obsahObrazce (){
        double obsah;
        obsah = Math.PI * r * r;
        return(obsah);
    }// obsahObrazce() END
    
    void setPolomer (double r){
        this.r = r;
    }// setPolomer() END
    
    double getPolomer (){
        return(this.r);
    }// getPolomer() END
}// Kruh class END =============================================================

class Obdelnik {//==============================================================
    String jmeno;
    int x,y;
    double a,b;
    
    public Obdelnik(String jmeno, int x, int y, double a, double b){
        this.jmeno = jmeno;
        this.x = x;
        this.y = y;
        this.a = a;
        this.b = b;
    }// Obdelnik() constructor END
    
    void zobrazObrazec (){
        System.out.printf("%-10s:stred:%2d,%2d, strany:%4.2f,%4.2f\n",jmeno,x,y,a,b);    
    }// zobrazObrazec() END
    
    double obsahObrazce (){
        double obsah;
        obsah = a * b;
        return(obsah);
    }// obsahObrazce() END
    
}// Obdelnik class END =========================================================