/*
 * A0B36PRI_091116_07a  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 07 - Objektove programovani
 *
 * Pole objektu ruzneho typu, pretypovani referencni promenne,
 * refernci promenna formalnim parametrem a navratovou hodnotou
 *
 */

package a0b36pri_091116_07a;

public class X08a {
    
    public static void main(String[] args) {
        Object[] knihovna = new Object[10];
        knihovna[6] = new Kniha("Capek","Mloci");
        knihovna[1] = new Kniha("Nemcova","Babicka");
        knihovna[3] = new Kniha("Jirasek","Temno");
        knihovna[5] = new Casopis("Byte","2006/3");
        knihovna[7] = new Casopis("Life","2003/4");
        
        
        System.out.println("Celkovy pocet titulu = "+
                          (Kniha.getPocetTitulu()+Casopis.getPocetTitulu()));
        // Jiny zpusob zjisteni poctu knih
        int pocetKnih = 0;
        int pocetCasopisu = 0;
        for(int i = 0; i < knihovna.length; i++){
            if(knihovna[i] instanceof Kniha){
                pocetKnih++;
            }
            if(knihovna[i] instanceof Casopis){
                pocetCasopisu++;
            }
        }// for() END
        System.out.println("Celkovy poce knih = "+pocetKnih);
        System.out.println("Celkovy poce casopisu = "+pocetCasopisu);
        
        // Zjisteni zda je kniha v knihovne
        for(int i = 0; i < knihovna.length; i++){
            if(knihovna[i] instanceof Kniha){
                Kniha k=(Kniha)knihovna[i];
                if(k.getJeVKnihovne("Capek","Mloci") && !k.getJeVypujceno()){
                    System.out.println("Capek-Mloci je k dispizici na indexu ="+ i);
                }
            }
        }// for() END
        
        // Zjisteni zda je casopis v knihovne
        for(int i = 0; i < knihovna.length; i++){
            if(knihovna[i] instanceof Casopis && 
              ((Casopis)knihovna[i]).getJeVKnihovne("Byte","2006/3") &&
              !((Casopis)knihovna[i]).getJeVypujceno()){
              System.out.println("Byte-2006/3 je v knihovne ale je vypujcen, index ="+i);  
            }
        }// for() END
    
        for(int i = 0; i < knihovna.length; i++ ) {
            Kniha k;
            if((k=jeKniha(knihovna[i])) != null){
               if(k.getJeVKnihovne("Capek","Mloci")){
                    System.out.println("Capek-Mloci je v knihovne, index = "+i);
               }
            }
        }// for() END
        
        
    }// main() END
    
    static Kniha jeKniha (Object knihaNeboCasopis){
        if(knihaNeboCasopis instanceof Kniha){
            return((Kniha)knihaNeboCasopis);
        }
        return(null);
    }// jeKniha() END
    
}// X08a class END

