/*
 * A0B36PRI_091123_08  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 08 - Soubory - zaklady
 *
 *  Soubory - Zapis/cteni textovych souboru, pridani textu do souboru
 * 
 */

package a0b36pri_091123_08;
import java.io.*;

public class X09l {

    public static void main(String[] args)throws IOException{
        System.out.println("(1)-Zapis stringu:\n");
        //=(1)======= write/read (pro textove soubory) ============================
        // ==> Zalozeni zastupne promenne typu File
        File f = new File("test10.xxx");
        // ==>Zalozeni a Otevreni souboru pro ZAPIS
        //    Pokud jiz soubor existuje, jeho data se ZTRATI
        FileWriter fw=new FileWriter(f);
        BufferedWriter bw=new BufferedWriter(fw);
        // ==>Zapis do souboru (sekvencni / postupny)
        bw.write("Hugo");
        // ==>Vlozeni znaku "Novy radek"
        bw.newLine();
        bw.write("Anna");
        bw.newLine();
        // ==>Uzavreni souboru
        bw.close();
        
        // ==>Otevreni souboru pro CTENI
        System.out.println("(1)-Cteni stringu:");
        FileReader fr = new FileReader(f);
        BufferedReader br = new BufferedReader(fr);
        String s;
        // ==>Cteni ze souboru (sekvencni /postupny)
        while((s=br.readLine()) != null){
            System.out.println(s);
        }    
        // ==>Uzavreni souboru
        fr.close();
        System.out.println("(1)-konec\n");
        
        System.out.println("(2)-Pridani (append) stringu:\n");
        // ==>Zalozeni nebo Otevreni souboru pro ZAPIS
        //    Pokud jiz soubor existuje, jeho data se NEZTRATI, dalsi
        //    data se ukladani za jiz zapsana data
        final boolean APPEND = true;
        FileWriter fw1=new FileWriter(f,APPEND);
        BufferedWriter bw1=new BufferedWriter(fw1);
        // ==>Zapis (PRIDANI) dat do souboru (sekvencni / postupny)
        bw1.write("Karel");
        bw1.newLine();
        bw1.write("Eva");
        bw1.close();
        // ==>Uzavreni souboru
 
        // ==>Otevreni souboru pro CTENI
        System.out.println("(2)-Cteni stringu:");
        FileReader fr1 = new FileReader(f);
        BufferedReader br1 = new BufferedReader(fr1);
        String r;
        // ==>Cteni ze souboru (sekvencni /postupny)
        while((r=br1.readLine()) != null){
            System.out.println(r);
        }    
        // ==>Uzavreni souboru
        fr1.close();
        System.out.println("(2)-konec\n");
                    
        }// main() END

}// Class X09l END
