/*
 * A0B36PRI_091214_12  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 12 - Trideni - zaklady
 *
 * Trideni - Insert Sort (Razeni vkladanim do serazeneho useku)
 * 
 */

package a0b36pri_091214_12;

public class X12d {//==========================================================
    
    public static void main(String[] args) {//---------------------------------
       int[] p = {3,2,8,1,0,4,2};
       System.out.println("====X12d====");
       System.out.println("===Insert sort===");
       tiskPole(p);
       insertSort(p);
       tiskPole(p);
       System.out.println("====X12d END====");
       System.out.println("===Insert sort END===");
    }// main() END ------------------------------------------------------------

    static void insertSort(int[] a) {//----------------------------------------
      for (int n = 1; n < a.length ; n++){
        vloz(a, n, a[n]);
      }
    }// insertSort() END ------------------------------------------------------

    static void vloz(int[] a, int n, int x) {//--------------------------------
      int i;
      for (i = n-1; i >= 0 && a[i] > x; i--){
        a[i+1] = a[i];    // odsun
      }
      a[i+1] = x;         // vlozeni
    }// vloz() END ------------------------------------------------------------
    
    static void tiskPole (int[] p){//------------------------------------------
      for(int i = 0; i < p.length; i++){
        System.out.print(p[i]+" ");
      }
      System.out.println("");
    }// tiskPole() END --------------------------------------------------------

}// X12d class END ============================================================

