/*
 * A0B36PRI_091102_06  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 06 - Pole (array)
 *
 * Pole (array) - pole jako vstupni/vystupni parametr metod
 * 
 */

package a0b36pri_091102_06;
import java.util.*;

public class X06d {
static {Locale.setDefault (Locale.US);}  

    public static void main(String[] args) {
        int sw=0;
        System.out.println("===X06d==");
        switch(sw){
            case 0:{
                // pole - vstup/vystup metody
                int[] pp;
                
                pp = ctiPoleInt();
                tiskniPoleInt(pp);
                break;
            }
            case 1:{
                // pole - vstup/vystup metody, test chyby
                int[] pp;
                
                pp = ctiPoleInt();
                if(! tiskniPoleInt("Pole int[] pp:",pp))
                    System.out.println("Error: Chyba tisku");
                break;
            }
            case 2:{
                // Invertovani pole int[] do noveho pole
                int[] pp,qq,rr;
                // sudy pocet prvku pole
                pp = ctiPoleInt();
                qq = otocPole(pp);
                tiskniPoleInt("Puvodni pole pp[]:",pp);
                tiskniPoleInt("Otocene pole qq:",qq);
                // lichy pocet prvku pole
                rr = new int[pp.length-1];
                for(int i = 0; i < pp.length-1; i++){
                    rr[i] = pp[i];
                }
                qq = otocPole(rr);
                tiskniPoleInt("Puvodni pole rr:",rr);
                tiskniPoleInt("Otocene pole qq:",qq);
                break;
            }
            case 3:{
                // Invertovani pole int[] ve stejnem poli
                int[] pp,qq,rr;
                // sudy pocet prvku pole
                pp = ctiPoleInt();
                tiskniPoleInt("Puvodni pole pp[]:",pp);
                qq = otocPole1(pp);
                tiskniPoleInt("Otocene pole qq:",qq);
                // lichy pocet prvku pole
                rr = new int[pp.length-1];
                for(int i = 0; i < pp.length-1; i++){
                    rr[i] = pp[i];
                }
                tiskniPoleInt("Puvodni pole rr:",rr);
                qq = otocPole1(rr);
                tiskniPoleInt("Otocene pole qq:",qq);
                break;
            }
            case 4:{
                // Hledani 2 nejvetsich cisel v poli
                // testovaci hodnoty:
                //int[] p = {-3,30,2,10,-5,6};
                //int[] p = {-3,3,20,10,-5,6};
                int[] p = {-3,3,10,20,-5,6};
                //int[] q = {10,10,-4,2,-8,3};
                int[] q = {-10,-11,-4,3,-8,2};
                int[] dveMax;
                
                dveMax = najdiDveMaxHodnoty(p);
                tiskniPoleInt("Dve max hodnoty z p:",dveMax);
                dveMax = najdiDveMaxHodnoty(q);
                tiskniPoleInt("Dve max hodnoty z q:",dveMax);
                break;
            }
            
        }// switch() END
        System.out.println("===X06d END==");

    }// main() END

    static int[] ctiPoleInt (){
        Scanner read = new Scanner (System.in);
        int[] p = new int[4];
        System.out.println("Zadej prvky pole int[]:");
        for(int i=0; i<p.length;i++){
            System.out.println("p["+i+"] = ");
            p[i] = read.nextInt();
        }
        System.out.println("Prvky zadany");
        return(p);
    }// ctiPoleInt() END

    static void tiskniPoleInt (int[] p){
        System.out.println("Pole int[]:");
        for(int i=0; i<p.length;i++){
           System.out.print(" p["+i+"]="+p[i]);
        }
        System.out.println("\nKonec tisku");
    }// void tiskniPoleInt() END

    static boolean tiskniPoleInt (String napis, int[] p){
        if(p == null)return(false);
        System.out.println(napis+":");
        for(int i=0; i<p.length;i++){
           System.out.print(" p["+i+"]="+p[i]);
        }
        System.out.println("\nKonec tisku");
        return(true);
    }// void tiskniPoleInt() END
    
    static int[] otocPole (int[] p){
        // Otoc pole do noveho pole
        int[] q = new int[p.length];
        for(int i = 0; i < p.length; i++){
            q[p.length-1-i] = p[i];
        }
        return(q);
    }// otocPole() END
    
    static int[] otocPole1 (int[] p){
        // Otoc pole do stejneho pole
        int x;
        for(int i = 0; i < p.length/2; i++){
            x = p[i];
            p[i] = p[p.length-1-i];
            p[p.length-1-i] = x;
        }
        return(p);
    }// otocPole() END
    
    static int[] najdiDveMaxHodnoty (int[] p){
        int[] dveMaxHodnoty = new int[2];
        int mensiMax,vetsiMax,staryVetsiMax;
        mensiMax = p[0];
        vetsiMax = p[0];
        for(int i = 0; i < p.length; i++){
            if(p[i] > vetsiMax){
                staryVetsiMax = vetsiMax;
                vetsiMax = p[i];
                if(staryVetsiMax > mensiMax){
                    mensiMax = staryVetsiMax; 
                }    
            }
            else{
                if(p[i] > mensiMax){
                    mensiMax = p[i];
                }    
           }
        }
        dveMaxHodnoty[0] = vetsiMax;
        dveMaxHodnoty[1] = mensiMax;
        return(dveMaxHodnoty);
    }// najdiDveMaxHodnoty() END
    
}// X06d class END
