/*
 * A0B36PRI_091116_07  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 07 - Objekty - uvod
 *                Programovano proceduralne (ne objektove)
 *                lepe nez v X07a.java
 */

package a0b36pri_091116_07;

public class X07b {
    static final int KRUH=0;
    static final int OBDELNIK=1;
    static final int TYP_OBRAZCE_INDEX=0;

    public static void main(String[] args) {
        // Kruh, obdelnik
        // index      0           1       2       3    4
        // double[] - typObrazce, stredX, stredY, r/a, b
        // Kruh -> param[0]=0, Obdelnik -> param[0]=1,..... 
        //final double KRUH=0;
        //final double OBDELNIK=1;
        //final int TYP_OBRAZCE_INDEX=0;
        double[] kruh1={KRUH,1,2,2.5};
        double[] kruh2={KRUH,-2,3,1.0};
        double[] obdelnik1={OBDELNIK,1,2,3,4.};

        System.out.printf("\n===X07b===\n");

        zobrazObrazec(kruh1);
        zobrazObrazec(kruh2);
        zobrazObrazec(obdelnik1);

        System.out.printf("Obsah kruhu A = %5.2f\n",obsahObrazce(kruh1));
        System.out.printf("Obsah kruhu B = %5.2f\n",obsahObrazce(kruh2));
        System.out.printf("Obsah obdelniku C = %5.2f\n",obsahObrazce(obdelnik1));

        System.out.printf("===X07b END===\n\n");

    }// main() END
    
    static void zobrazObrazec (double[] param){
        // Kruh, obdelnik
        // index      0           1       2       3    4
        // double[] - typObrazce, stredX, stredY, r/a, b
        // Kruh -> param[0]=0, Obdelnik -> param[0]=1,..... 
        switch((int)param[TYP_OBRAZCE_INDEX]){
            case KRUH:
                System.out.println("Kruh-stred: x,y:"+param[1]+","+param[2]+" r="+param[3]);
                break;
            case OBDELNIK:
                System.out.println("Obdelnik-stred: x,y:"+param[1]+","+param[2]+
                           " a="+param[3]+","+param[4]);
                break;
            default:
                // Error: nic nezobrazuj
                break;
        }// switch() END
    }// zobrazObrazec() END
    
    static double obsahObrazce (double[] param){
        // Kruh, obdelnik
        // index      0           1       2       3    4
        // double[] - typObrazce, stredX, stredY, r/a, b
        // Kruh -> param[0]=0, Obdelnik -> param[0]=1,..... 
        double obsah;
        int x=0;
        switch((int)param[0]){
            case KRUH:
                obsah = Math.PI * param[3] * param[3];
                break;
            case OBDELNIK:
                obsah = param[3] * param [4];
                break;
            default:
                // Error: 
                obsah = 0;
                break;
        }// switch() END
        return(obsah);
    }// obsahObrazce() END

}// X07b class END


