/*
 * A0B36PRI_091116_07a  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 07 - Objektove programovani
 *
 * Nepravidelne pole z objektu definovanych uzivatelem (Muz, Zena)
 *
 */

package a0b36pri_091116_07a;

public class X08i {//==========================================================
    
    public static void main(String[] args) {
        //-----------------------------
        // Muzi a zeny - podivne reseni
        System.out.println("Muzi a zeny - podivne reseni");
        Object[] p = new Object[2];
        p[0] = new Muz[4];
        p[1] = new Zena[5];
        
        ((Muz[])p[0])[0] = new Muz("Pavel","1111");
        ((Muz[])p[0])[1] = new Muz("Petr","2222");
        ((Muz[])p[0])[3] = new Muz("Hugo","3333");
        
        ((Zena[])p[1])[0] = new Zena("Anna","5555");
        ((Zena[])p[1])[2] = new Zena("Hana","6666");
        
        for(int i = 0; i < p.length; i++){
            if(p[i] instanceof Muz[]){
                for(int j = 0; j < ((Muz[])p[i]).length; j++){
                    if(((Muz[])p[i])[j] != null){
                        System.out.println(((Muz[])p[i])[j].getJmeno()+" "+((Muz[])p[i])[j].getTelefon());
                    }    
                }
            }
            if(p[i] instanceof Zena[]){
                for(int j = 0; j < ((Zena[])p[i]).length; j++){
                    if(((Zena[])p[i])[j] != null){
                       System.out.println(((Zena[])p[i])[j].getJmeno()+" "+((Zena[])p[i])[j].getTelefon());
                    }    
                }
            }
        }// vnejsi for() END
        System.out.println("\n");
        
        //----------------------------
        // Muzi a zeny - lepsi reseni
        System.out.println("Muzi a zeny - lepsi reseni");
        Object[][] q = new Object[2][10];
        q[0][0] = new Muz("Jan","1100");
        q[0][4] = new Muz("Karel","2200");
        q[1][1] = new Zena("Alena","4004");
        q[1][7] = new Zena("Eva","6666");
        
        // Tiskni vsechny muze
        System.out.println("(1) Vsichni muzi v seznamu");
        for(int i = 0; i < q.length; i++ ){
            for(int j = 0; j < q[i].length; j++){
                if(q[i][j] instanceof Muz && q[i][j] != null){
                    System.out.println(((Muz)q[i][j]).getJmeno()+" "+((Muz)q[i][j]).getTelefon());
                }
            }
        }// vnejsi for() END
        System.out.println("\n");

        // Tiskni vsechny zeny
        System.out.println("(1) Vsechny zeny v seznamu");
        for(int i = 0; i < q.length; i++ ){
            for(int j = 0; j < q[i].length; j++){
                if(q[i][j] instanceof Zena && q[i][j] != null){
                    System.out.println(((Zena)q[i][j]).getJmeno()+" "+((Zena)q[i][j]).getTelefon());
                }
            }
        }// vnejsi for() END
        System.out.println("\n");
        
        // Pokud zaradime muze na q[0][j] a zeny q[1][j] pak se vyhledani zjednodussi
        // Tiskni vsechny muze
        System.out.println("(2) Vsichni muzi v seznamu");
        for(int j = 0; j < q[0].length; j++ ){
            if(q[0][j] != null){
                System.out.println(((Muz)q[0][j]).getJmeno()+" "+((Muz)q[0][j]).getTelefon());
            }
        }// for() END
        System.out.println("\n");
        
        // Tiskni vsechny zeny
        System.out.println("(2) Vsechny zeny v seznamu");
        for(int j = 0; j < q[1].length; j++ ){
            if(q[1][j] != null){
                System.out.println(((Zena)q[1][j]).getJmeno()+" "+((Zena)q[1][j]).getTelefon());
            }
        }// for() END
        System.out.println("\n");
        
        // Zena mezi muze
        q[0][1] = q[1][0];
        
        // Muz mezi zeny
        q[1][3] = q[0][2];
        
        // Muz mezi muze
        q[0][0] = q[0][6];
     
        // Zena mezi zeny
        q[1][0] = q[1][7];
    }// main() END
    
}// X08i class END ============================================================

class Muz {//==================================================================
    String jmeno;
    String telefon;
    
    public Muz (String jmeno, String telefon){
        this.jmeno = jmeno;
        this.telefon = telefon;
    }// constructor END
    
    String getJmeno(){
        return(this.jmeno);
    }
    
    String getTelefon(){
        return(this.telefon);
    }
        
}// Muz class END =============================================================

class Zena {//=================================================================
    String jmeno;
    String telefon;
    public Zena (String jmeno, String telefon){
        this.jmeno = jmeno;
        this.telefon = telefon;
    }// constructor END
    
    String getJmeno(){
        return(this.jmeno);
    }
    
    String getTelefon(){
        return(this.telefon);
    }
    
}// Zena class END ============================================================