/*
 * A0B36PRI_091123_08  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 08 - Soubory - zaklady
 *
 *  FileInputStream, FileOutputStream - cteni/zapis byte
 * 
 */

package a0b36pri_091123_08;
import java.io.*;

public class X09a {
    
    public static void main(String[] args) throws IOException {
        //====================================================
        // Postup pri praci se soubory (sekvencni pristup)
        // 1) Otevreni souboru pro "cteni" nebo pro "zapis"
        // 2) "cteni" ze souboru nebo "zapis" do souboru
        // 3) Uzavreni souboru
        //====================================================
        
        // FileOutputStream, FileInputStream - zapis/cteni byte !!
        // ===Zapisuje pouze nejnizsi byte typu integer ====
        System.out.println("(1) Zapis byte:");
        File f = new File("test1.xxx");
        FileOutputStream fos = new FileOutputStream(f);
        for(int i = 0; i < 9; i++){
            fos.write(i);
        }
        fos.close();
        
        System.out.println("(1) Cteni byte:");
        File g = new File("test1.xxx");
        FileInputStream fis = new FileInputStream(g);
        int b = fis.read();
        while(b != -1){
            System.out.println(b);
            b = fis.read();
        }
        fis.close();
        System.out.println("(1) Cteni Ok:\n");
        
        System.out.println("(2) Zapis byte:");
        f = new File("test2.xxx");
        fos = new FileOutputStream(f);
        for(int i = 56; i < 66; i++){ // 56-66 vejde se do byte
            fos.write(i);
        }
        fos.close();
        
        g = new File("test2.xxx");
        fis = new FileInputStream(g);
        System.out.println("(2) Cteni byte:");
        b = fis.read();
        while(b != -1){
            System.out.println(b);
            b = fis.read();
        }
        fis.close();
        System.out.println("(2) Cteni Ok:\n");
        
        System.out.println("(3) Zapis byte:");
        fos = new FileOutputStream("test3.xxx");
        for(int i = 256; i < 266; i++){// 256-266 NEVEJDE se do byte -> ERROR
            System.out.println(i);
            fos.write(i);
        }
        fos.close();
        
        fis = new FileInputStream("test3.xxx");
        System.out.println("(2) Cteni byte:");
        b = fis.read();
        while(b != -1){
            System.out.println(b);
            b = fis.read();
        }
        fis.close();
        System.out.println("(2) Cteni ==ERR0R==:\n");
   
    }// main() END
    
}// X08a class END
