/*
 * A0B36PRI_091123_08  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 08 - Soubory - zaklady
 *
 *  DataInputStream, DataOutputStream - cteni/zapis jednoduchych typu
 * 
 */

package a0b36pri_091123_08;
import java.io.*;

public class X09c {
    
    public static void main(String[] args) throws IOException {
        // Zapis a cteni typu int
        int[] p = {1000,1111,2222,3333,4444};
        System.out.println("(1)-Zapis int:");
        String jmenoSouboru = "test5.xxx";
        File f = new File(jmenoSouboru);
        FileOutputStream fos = new FileOutputStream(f);
        DataOutputStream dos = new DataOutputStream(fos);
        for(int i = 0; i < p.length; i++){
            dos.writeInt(p[i]);
        }
        dos.close();
        
        System.out.println("(1)-Cteni int:");
        DataInputStream dis = new DataInputStream(new FileInputStream(f));
        int delka = dis.available()/4;  // Delka Int je 4 byte
        int[] q = new int[delka];
        for(int i = 0; i < delka; i++){
            q[i] = dis.readInt();
            System.out.println("q[i] = "+q[i]);
        }
        dis.close();
        System.out.println("");

        // Zapis typu double
        double[] d = {10.11,11.11,22.22,33.33,44.44,55.55};
        System.out.println("(2)-Zapis double:");
        jmenoSouboru = "test5.xxx";
        f = new File(jmenoSouboru);
        fos = new FileOutputStream(f);
        dos = new DataOutputStream(fos);
        for(int i = 0; i < d.length; i++){
            dos.writeDouble(d[i]);
        }
        dos.close();
        
        // Cteni typu double (zname delku double v byte)
        System.out.println("(2.1)-Cteni double:");
        dis = new DataInputStream(new FileInputStream(f));
        delka = dis.available()/8;  // Delka double je 8 byte
        d = new double[delka];
        for(int i = 0; i < delka; i++){
            d[i] = dis.readDouble();
            System.out.println("d[i] = "+d[i]);
        }
        dis.close();
        
        // Cteni typu double (nepamatujeme si delku double v byte)
        System.out.println("(2.2)-Cteni double:");
        dis = new DataInputStream(new FileInputStream(f));
        d = new double[delka = 10]; 
        for(int i = 0; dis.available() > 0 && i < delka; i++){
            d[i] = dis.readDouble();
            System.out.println("d[i] = "+d[i]);
        }
        System.out.println("");
        
    }// main() END
    
}// X09c class END
