/*
 * A0B36PRI_091123_08  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 08 - Soubory - zaklady
 *
 *  ObjectInputStream, ObjectOutputStream - cteni/zapis String (Object)
 *  Pole stringu zapsano po jednotlivych retezcich
 * 
 */

package a0b36pri_091123_08;
import java.io.*;

public class X09e {
    
    public static void main(String[] args) throws IOException, ClassNotFoundException {
        String[] s = {"Jana","Karel","Petr","Helena","Agata"};
        String[] r;
        String jmenoSouboru;
        jmenoSouboru = "test7.xxx";
        System.out.println("(1)-Zapis pole stringu:\n");
        zapisPoleString(jmenoSouboru,s);
        System.out.println("(1)-Cteni pole stringu:");
        r = cteniPoleStringu(jmenoSouboru);
        for(int i = 0; i < r.length; i++){
            System.out.println(r[i]);
        }
        System.out.println("(1)-konec\n");
    }// main() END

    static void zapisPoleString(String jmenoSouboru, String[] s) throws IOException{
        FileOutputStream fos = new FileOutputStream(new File(jmenoSouboru));
        ObjectOutputStream oos = new ObjectOutputStream(fos);
        for(int i = 0; i < s.length; i++){
            oos.writeObject(s[i]);
        }
        oos.close();
    }// zapisPoleString() END
    
    static String[] cteniPoleStringu(String jmenoSouboru)
                                     throws IOException, ClassNotFoundException{
        FileInputStream fis = new FileInputStream(new File(jmenoSouboru));
        ObjectInputStream ois = new ObjectInputStream(fis); 
        int delka = 10;
        String[] s = new String[delka];
        int i;
        for(i = 0; fis.available() > 0 && i < delka; i++){
            s[i] = (String)ois.readObject();
        }
        ois.close();
        String[] r = new String[i];
        System.arraycopy(s,0,r,0,i);
        return(r);
    }// cteniPoleStringu() END
    
}// X09e class END
