/*
 * A0B36PRI_091123_08  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 08 - Soubory - zaklady
 *
 *  ObjectInputStream, ObjectOutputStream - cteni/zapis int[] (Object)
 *  Vyjimka osetrena uvnitr metody
 * 
 */

package a0b36pri_091123_08;
import java.io.*;

public class X09g {
    
    public static void main(String[] args) {
        int[] p = {1111,2222,3333,4444};
        String jmenoSouboru = "test8.xxx";
        String vysledek;
        System.out.println("(1)-Zapis int[] do souboru");
        if((vysledek=zapisPoleInt(jmenoSouboru,p)) != null){
            System.out.println(vysledek);
            System.exit(1);
        }
        System.out.println("(1)-Zapis int[] Ok:\n");

        System.out.println("(2)-Cteni int[] ze souboru");
        int[] r;
        if((r=cteniPoleInt(jmenoSouboru)) == null){
            System.out.println("Chyba pri cteni souboru");
            System.exit(1);
        }
        for(int i = 0; i < r.length; i++){
            System.out.println("r[i] = "+r[i]);
        }
        System.out.println("(2)-Cteni int[] Ok:\n");
        
    }// main() END
    
    static String zapisPoleInt (String jmenoSouboru, int[] p){
        String vysledek = null;
        try{
            FileOutputStream fos = new FileOutputStream(new File(jmenoSouboru));
            ObjectOutputStream oos = new ObjectOutputStream(fos);
            oos.writeObject(p);
            oos.close();
        }// try END
        catch (Exception e){
            vysledek = e.getMessage();
        }// catch END
        return(vysledek);
    }// zapisPoleInt() END
    
    static int[] cteniPoleInt (String jmenoSouboru){
        String vysledek = null;
        int[] p;
        try{
            FileInputStream fis = new FileInputStream(new File(jmenoSouboru));
            ObjectInputStream ois = new ObjectInputStream(fis);
            p = (int[])ois.readObject();
            ois.close();
        }// try END
        catch (Exception e){
            p = null;
            //System.out.println(e.getMessage());// return "null"
        }// catch END
        return(p);
    }// String cteniPoleInt() END
    
}// X09f class END
