/*
 * A0B36PRI_091214_12  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 12 - Trideni - zaklady
 *
 * Objekty, pole objektu
 * Trideni - Bubble Sort (Razeni zamenovanim)
 * vlozeni a vyjmuti objektu
 * 
 */

package a0b36pri_091214_12;

public class X12a {//==========================================================
    
  public static void main(String[] args) {//-----------------------------------
    System.out.println("====X12a====");
    System.out.println("===Bubble sort===");
    Clovek[] netridenySeznam=new Clovek[100];
    Clovek[] tridenySeznam;
    netridenySeznam[0]=new Clovek("Karel","9922",20000);
    netridenySeznam[1]=new Clovek("Ales ","3344",25000);
    netridenySeznam[2]=new Clovek("Jan  ","1166",30000);
    netridenySeznam[3]=new Clovek("Milos","7788",35000);
    System.out.println("##==Netrideny seznam vytvoreny v programu==");
    tiskniSeznam(netridenySeznam);

    System.out.println("==Vlozeni cloveka do seznamu");
    Clovek[] doplnenySeznam=new Clovek[netridenySeznam.length+10];
    
    System.arraycopy(netridenySeznam,0,doplnenySeznam,0,netridenySeznam.length);

    for(int i=0;i<doplnenySeznam.length;i++){
      if(doplnenySeznam[i] == null){
        doplnenySeznam[i] = new Clovek("Jana","9900",42000);
        break;
      }// if() END
    }// for() END
    tiskniSeznam(doplnenySeznam);

    System.out.println("==Nalezeni a vyjmuti cloveka ze seznamu");
    for(int i=0;i<doplnenySeznam.length;i++){
      if(doplnenySeznam[i] != null &&
         doplnenySeznam[i].getJmeno().equalsIgnoreCase("Karel")){
            doplnenySeznam[i]=null;
            break;
      }// if() END
    }// for() END

    System.out.println("==Komprimace seznamu==");
    Clovek[] komprimSeznam=komprimujSeznam(doplnenySeznam);
    tiskniSeznam(komprimSeznam);
    
    Clovek[] docasnySeznam=komprimSeznam;
    tridenySeznam=setridJmena(docasnySeznam);
    System.out.println("==Trideny seznam nacteny ze souboru==");
    System.out.println("==Trideni dle jmena==");
    tiskniSeznam(tridenySeznam);

    System.out.println("==Trideny seznam nacteny ze souboru==");
    System.out.println("==Trideni dle cisla telefonu==");
    tridenySeznam=setridTelefon(docasnySeznam);
    tiskniSeznam(tridenySeznam);

    System.out.println("==Trideny seznam nacteny ze souboru==");
    System.out.println("==Trideni dle platu==");
    tridenySeznam=setridPlaty(docasnySeznam);
    tiskniSeznam(tridenySeznam);

    System.out.println("===Bubble sort END===");
    System.out.println("====X12a END====");
  }// main() END ---------------------------------------------------------------

  static Clovek[] komprimujSeznam(Clovek[] lidi){
    int pocetLidi=0;
    for(int i=0;i<lidi.length;i++){
      if(lidi[i] != null)pocetLidi++;
    }// for() END
    Clovek[] komprimSeznam=new Clovek[pocetLidi];
    for(int i=0,j=0;i<lidi.length;i++){
      if(lidi[i] != null)komprimSeznam[j++]=lidi[i];
    }// for() END
    return(komprimSeznam);
  }// komprimujSeznam() END

  // --------------------------------------------------------------------------
  // Bubble sort - razeni zamenovanim
  // Vstup: nesetridene pole objektu
  // Vystup: nove setridene pole objektu podle jmena (String)
  //
  static Clovek[] setridJmena(Clovek[] lidi){
    Clovek[] s=new Clovek[lidi.length];
    System.arraycopy(lidi,0,s,0,lidi.length);
    Clovek r;
    for(int n=s.length-1;n>0;n--){
      for(int i=0;i<n;i++){
        if(s[i].getJmeno().compareToIgnoreCase(s[i+1].getJmeno())>0){
          r=s[i+1];
          s[i+1]=s[i];
          s[i]=r;
        }// if() END
      }// for() END
    }// for() END
    return(s);
  }// setridJmena() END -------------------------------------------------------

  // --------------------------------------------------------------------------
  // Bubble sort - razeni zamenovanim
  // Vstup: nesetridene pole objektu
  // Vystup: nove setridene pole objektu podle cisla telefonu (String)
  //
  static Clovek[] setridTelefon(Clovek[] lidi){
    Clovek[] s=new Clovek[lidi.length];
    System.arraycopy(lidi,0,s,0,lidi.length);
    Clovek r;
    for(int n=s.length-1;n>0;n--){
      for(int i=0;i<n;i++){
        if(s[i].getTelefon().compareToIgnoreCase(s[i+1].getTelefon())>0){
          r=s[i+1];
          s[i+1]=s[i];
          s[i]=r;
        }// if() END
      }// for() END
    }// for() END
    return(s);
  }// setridJmena() END ------------------------------------------------------

  // -------------------------------------------------------------------------
  // Bubble sort - razeni zamenovanim
  // Vstup: nesetridene pole objektu
  // Vystup: nove setridene pole objektu podle platu (int)
  //
  static Clovek[] setridPlaty(Clovek[] lidi){
    Clovek[] s=new Clovek[lidi.length];
    System.arraycopy(lidi,0,s,0,lidi.length);
    Clovek r;
    for(int n=s.length-1;n>0;n--){
      for(int i=0;i<n;i++){
        if(s[i].getPlat() >s[i+1].getPlat()){
          r=s[i+1];
          s[i+1]=s[i];
          s[i]=r;
        }// if() END
      }// for() END
    }// for() END
    return(s);
  }// setridJmena() END --------------------------------------------------------


  static void tiskniSeznam(Clovek[] lidi){//----------------------------------
    for(int i=0;i<lidi.length;i++){
      if(lidi[i] != null){
        System.out.println("(" + i + ") | " +
                 lidi[i].getJmeno() + " | " +
                 lidi[i].getTelefon() + " | " +
                 lidi[i].getPlat());
      }// if() END
    }// for() END
  }// tiskniSeznam() END  -----------------------------------------------------

}// X12a class END ============================================================

class Clovek {// =============================================================
  static int pocetObjektu=0;
  String jmeno;
  String telefon;
  int    plat=0;

  public Clovek(String jmeno, String telefon, int plat){
    this.jmeno=jmeno;
    this.telefon=telefon;
    this.plat=plat;
  }// Clovek constructor END

  String getJmeno(){
    return(this.jmeno);
  }// getJmeno() END

  String getTelefon(){
    return(this.telefon);
  }// getTelefon() END

  int getPlat(){
    return(this.plat);
  }// getPlat() ENd

  void setPlat(int plat){
    this.plat=plat;
  }// setPlat() END

}// Clovek class END =========================================================
