/*
 * A0B36PRI_091221_13  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 13 - Datove struktury - zaklady
 *
 *  Datove struktury - zasobnik (pomoci pole)
 * 
 */

package a0b36pri_091221_13;



public class X13a {//===========================================================
    
    public static void main(String[] args) {
        String s = "gnaang";
        ZasobnikZnaku zz = new ZasobnikZnaku(50);
        int polovina = s.length()/2;
        for(int i = 0; i < polovina; i++){
            zz.vlozZnak(s.charAt(i));
        }
        if(s.length()%2 == 1){
            // lichy pocet znaku
            polovina++;
        }
        boolean palindrom = true;
        for(int i = polovina; i < s.length(); i++){
            if(zz.vyjmiZnak() != s.charAt(i)){
              palindrom = false;
              break;
            }
        }// for() END
        System.out.println(s+" palindrom? "+palindrom);
        
    }// main() END
    
}// X13a class END =============================================================
class ZasobnikZnaku { //========================================================
    int vrcholZasobniku;
    char[] dataZasobniku;
    
    public ZasobnikZnaku (int hloubka_zasobniku){
        dataZasobniku = new char[hloubka_zasobniku];
        vrcholZasobniku = -1;
    }
    
    int vlozZnak (char znak){
        if(vrcholZasobniku+1 == dataZasobniku.length)
            return(-1);
        dataZasobniku[++vrcholZasobniku] = znak;
        return(0);
    }// vlozZnak() END
    
    int vyjmiZnak (){
        if(vrcholZasobniku == -1)
            return(-1);
        return(dataZasobniku[vrcholZasobniku--]);
    }
    
}// Stack class END ============================================================
