/*
 * A0B36PRI_091221_13  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 13 - Datove struktury - zaklady
 *
 *  Datove struktury - Jednosmerny linearni spojovy seznam
 * 
 */

package a0b36pri_091221_13;

public class X13b {//===========================================================
    
    public static void main(String[] args) {
    Polozka z,p,tmp;
    Polozka p1=new Polozka("Jana","1234");
    Polozka p2=new Polozka("Eva ","4567");
    Polozka p3=new Polozka("Dana","5556");
    Polozka p4=new Polozka("Helena","9345");
    z=p1;
    p1.setDalsi(p2);
    p2.setDalsi(p3);
    p3.setDalsi(p4);
    p=z;
    // Vypsani seznamu
    System.out.println("==(1) Tisk seznamu ==");
    while(p != null){
      System.out.print(p.getJmeno()+" | ");
      p=p.getDalsi();
    }// while() END
    System.out.println("");

    // Pridani polozky na konec seznamu
    Polozka p5=new Polozka("Linda","8888");
    // Najdi konec seznamu
    p=z;
    while(p != null){
      if(p.getDalsi() == null)break; // konec seznamu
      p=p.getDalsi();
    }// while END
    // Pridej polozku na konec seznamu
    p.setDalsi(p5);
    // Tisk seznamu
    System.out.println("==(2) Tisk seznamu ==");
    tiskSeznamu(z);

    // Pridani polozky na zacatek seznamu
    Polozka p6=new Polozka("Debora","2121");
    p6.setDalsi(z);
    z=p6;
    System.out.println("==(3) Tisk seznamu ==");
    tiskSeznamu(z);

    // Vyjmuti polozky ze seznamu
    // Najdi polozku
    p=z;
    tmp=p;
    while(p != null){
      if(p.getJmeno().trim().equalsIgnoreCase("Eva"))break;
      tmp=p;
      p=p.getDalsi();
    }// while() END
    // if(p != null)-> test zda polozka je v seznamu
    // Vyjmi polozku
    tmp.setDalsi(p.getDalsi());
    p=null;
    System.out.println("==(4) Tisk seznamu ==");
    tiskSeznamu(z);

    // Vlozeni polozky do seznamu, za "Jana"
    // Najdi kam vlozit
    p=z;
    while(p != null){
      if(p.getJmeno().trim().equalsIgnoreCase("Jana"))break;
      p=p.getDalsi();
    }// while() END
    // if(p != null) -> test zda polozka je v seznamu
    Polozka p7=new Polozka("Marfusa","8989");
    p7.setDalsi(p.getDalsi());
    p.setDalsi(p7);
    System.out.println("==(5) Tisk seznamu ==");
    tiskSeznamu(z);

  }// main() END

  static void tiskSeznamu(Polozka zacatek){
    while(zacatek != null){
      System.out.print(zacatek.getJmeno()+"-"+zacatek.getTelefon()+" | ");
      zacatek=zacatek.getDalsi();
    }// while() END
    System.out.println("");
  }// tiskSeznamu() END

}// X13b class END =============================================================
class Polozka{//================================================================
  String jmeno="";
  String telefon="";
  Polozka dalsi=null;

  public Polozka(String jmeno, String telefon){
    this.jmeno=jmeno;
    this.telefon=telefon;
  }// constructor END

  void setDalsi(Polozka dalsi){
    this.dalsi=dalsi;
  }// setDalsi() END

  Polozka getDalsi(){
    return(this.dalsi);
  }// getDalsi() END

  void setJmeno(String jmeno){
    this.jmeno=jmeno;
  }// setJmeno() END

  void setTelefon(String telefon){
    this.telefon=telefon;
  }// setTelefon() END

  String getJmeno(){
    return(this.jmeno);
  }// getJmeno() END

  String getTelefon(){
    return(this.telefon);
  }// getTelefon() END

}// Polozka class END =========================================================
