/*
 * A0B36PRI_091221_13  "PROGRAMOVANI"  01.07.2009
 *   
 * Prednaska 13 - Datove struktury - zaklady
 *
 *  Datove struktury - Fronta (Queue, FIFO)
 * 
 */

package a0b36pri_091221_13;
import java.util.*;

public class X13d {//==========================================================
    static {Locale.setDefault (Locale.US);}
    
    public static void main(String[] args) {
        Scanner read = new Scanner (System.in);
        Zprava z;
        Fronta f=new Fronta();
        // Prichod do fronty
        System.out.println("Prichod do fronty");
        f.zaradDoFronty(new Zprava("Jan","1111"));
        f.zaradDoFronty(new Zprava("Tomas","2222"));
        z=new Zprava("Helena","3333");
        f.zaradDoFronty(z);
        System.out.println("Zadej jmeno(cr), telefon(cr)");
        f.zaradDoFronty(new Zprava(read.next(),read.next()));
        // Odchod z fronty
        System.out.println("Odchod z fronty");
        while(f.getDelkaFronty() > 0){
            z=f.vyjmiZFronty();
            System.out.println(z.getJmeno()+" | "+z.getTelefon());
        }// while() END
  }// main() END
    
}// P09c class END ============================================================

class Zprava {//===============================================================
  String jmeno;
  String telefon;
  Zprava dalsi;

  public Zprava (String jmeno, String telefon){
    this.jmeno=jmeno;
    this.telefon=telefon;
  }// constructor() END

  void setDalsi (Zprava dalsi){
    this.dalsi=dalsi;
  }// setDalsi() END

  Zprava getDalsi (){
    return(this.dalsi);
  }// getDalsi() END

  String getJmeno(){
    return(this.jmeno);
  }// getJmeno() END

  String getTelefon(){
    return(this.telefon);
  }// getTelefon() END
}// Zprava class END ==========================================================


class Fronta {//===============================================================
  Zprava zacatekFronty;
  Zprava konecFronty;
  int delkaFronty;

  public Fronta (){
    this.zacatekFronty=null;
    this.konecFronty=null;
    this.delkaFronty=0;
  }

  void zaradDoFronty (Zprava zprava){
    if(delkaFronty == 0){
      this.zacatekFronty=zprava;
      this.konecFronty=zprava;
      this.delkaFronty++;
    }
    else{
      konecFronty.setDalsi(zprava);
      konecFronty=zprava;
      this.delkaFronty++;
    }
  }// zaradDoFronty() END

  Zprava vyjmiZFronty (){
    if(this.delkaFronty == 0)return(null);
    Zprava zprava=zacatekFronty;
    zacatekFronty=zacatekFronty.getDalsi();
    this.delkaFronty--;
    return(zprava);
  }// vyjmiZFronty() END

  int getDelkaFronty (){
    return(this.delkaFronty);
  }// getDelkaFronty()

}// Fronta class END ----------------------------------------------------------